function MenuKeyPressed(key)
	if key == 'return' then
		-- 0 Start Game
		-- 1 ??
		-- 2 ???
		-- 3 Quit
		if MENU_POS == 0 then
			--Change state to GAME!
			_G.GAMESTATE = "GAME"
			print("STATE CHANEGD: GAME!")
			musicMenu:stop()

		elseif MENU_POS == 1 then
			print("STATE CHANEGD: DUNNO!")

		elseif MENU_POS == 2 then
			print("STATE CHANEGD: DUNNO!")

		elseif MENU_POS == 3 then
			love.event.quit()
		end

	end

	if love.keyboard.isDown("up") then
		if _G.MENU_POS == 0 then
			_G.MENU_POS = 0
		else
			_G.MENU_POS = _G.MENU_POS - 1
		end
	end

	if love.keyboard.isDown("down") then
		if _G.MENU_POS >= _G.MENU_MAX then
			_G.MENU_POS = _G.MENU_MAX
		else
			_G.MENU_POS = _G.MENU_POS + 1
		end
	end

end
